// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.2
// 	protoc        (unknown)
// source: gateway/events/v1/events.proto

package eventsv1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Enum for different types of events
type EventType int32

const (
	EventType_EVENT_TYPE_UNSPECIFIED               EventType = 0
	EventType_EVENT_TYPE_ROOM_STARTING             EventType = 1
	EventType_EVENT_TYPE_ROOM_PLAYING              EventType = 2
	EventType_EVENT_TYPE_ROOM_ENDING               EventType = 3
	EventType_EVENT_TYPE_ROOM_USER_JOINED          EventType = 4
	EventType_EVENT_TYPE_ROOM_USER_LEFT            EventType = 5
	EventType_EVENT_TYPE_ROOM_USER_BANNED          EventType = 6
	EventType_EVENT_TYPE_ROOM_USER_UNBANNED        EventType = 7
	EventType_EVENT_TYPE_ROOM_USER_HOST_CHANGED    EventType = 8
	EventType_EVENT_TYPE_ROOM_USER_LOST_CONNECTION EventType = 9
	EventType_EVENT_TYPE_GUESS_SUBMITTED           EventType = 20
	EventType_EVENT_TYPE_LEADERBOARD_UPDATED       EventType = 21
)

// Enum value maps for EventType.
var (
	EventType_name = map[int32]string{
		0:  "EVENT_TYPE_UNSPECIFIED",
		1:  "EVENT_TYPE_ROOM_STARTING",
		2:  "EVENT_TYPE_ROOM_PLAYING",
		3:  "EVENT_TYPE_ROOM_ENDING",
		4:  "EVENT_TYPE_ROOM_USER_JOINED",
		5:  "EVENT_TYPE_ROOM_USER_LEFT",
		6:  "EVENT_TYPE_ROOM_USER_BANNED",
		7:  "EVENT_TYPE_ROOM_USER_UNBANNED",
		8:  "EVENT_TYPE_ROOM_USER_HOST_CHANGED",
		9:  "EVENT_TYPE_ROOM_USER_LOST_CONNECTION",
		20: "EVENT_TYPE_GUESS_SUBMITTED",
		21: "EVENT_TYPE_LEADERBOARD_UPDATED",
	}
	EventType_value = map[string]int32{
		"EVENT_TYPE_UNSPECIFIED":               0,
		"EVENT_TYPE_ROOM_STARTING":             1,
		"EVENT_TYPE_ROOM_PLAYING":              2,
		"EVENT_TYPE_ROOM_ENDING":               3,
		"EVENT_TYPE_ROOM_USER_JOINED":          4,
		"EVENT_TYPE_ROOM_USER_LEFT":            5,
		"EVENT_TYPE_ROOM_USER_BANNED":          6,
		"EVENT_TYPE_ROOM_USER_UNBANNED":        7,
		"EVENT_TYPE_ROOM_USER_HOST_CHANGED":    8,
		"EVENT_TYPE_ROOM_USER_LOST_CONNECTION": 9,
		"EVENT_TYPE_GUESS_SUBMITTED":           20,
		"EVENT_TYPE_LEADERBOARD_UPDATED":       21,
	}
)

func (x EventType) Enum() *EventType {
	p := new(EventType)
	*p = x
	return p
}

func (x EventType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EventType) Descriptor() protoreflect.EnumDescriptor {
	return file_gateway_events_v1_events_proto_enumTypes[0].Descriptor()
}

func (EventType) Type() protoreflect.EnumType {
	return &file_gateway_events_v1_events_proto_enumTypes[0]
}

func (x EventType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EventType.Descriptor instead.
func (EventType) EnumDescriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{0}
}

type QuestionType int32

const (
	QuestionType_QUESTION_TYPE_UNSPECIFIED       QuestionType = 0
	QuestionType_QUESTION_TYPE_BINARY_TO_DECIMAL QuestionType = 1
	QuestionType_QUESTION_TYPE_DECIMAL_TO_BINARY QuestionType = 2
)

// Enum value maps for QuestionType.
var (
	QuestionType_name = map[int32]string{
		0: "QUESTION_TYPE_UNSPECIFIED",
		1: "QUESTION_TYPE_BINARY_TO_DECIMAL",
		2: "QUESTION_TYPE_DECIMAL_TO_BINARY",
	}
	QuestionType_value = map[string]int32{
		"QUESTION_TYPE_UNSPECIFIED":       0,
		"QUESTION_TYPE_BINARY_TO_DECIMAL": 1,
		"QUESTION_TYPE_DECIMAL_TO_BINARY": 2,
	}
)

func (x QuestionType) Enum() *QuestionType {
	p := new(QuestionType)
	*p = x
	return p
}

func (x QuestionType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (QuestionType) Descriptor() protoreflect.EnumDescriptor {
	return file_gateway_events_v1_events_proto_enumTypes[1].Descriptor()
}

func (QuestionType) Type() protoreflect.EnumType {
	return &file_gateway_events_v1_events_proto_enumTypes[1]
}

func (x QuestionType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use QuestionType.Descriptor instead.
func (QuestionType) EnumDescriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{1}
}

type DifficultyLevel int32

const (
	DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED DifficultyLevel = 0
	DifficultyLevel_DIFFICULTY_LEVEL_EASY        DifficultyLevel = 1
	DifficultyLevel_DIFFICULTY_LEVEL_MEDIUM      DifficultyLevel = 2
	DifficultyLevel_DIFFICULTY_LEVEL_HARD        DifficultyLevel = 3
)

// Enum value maps for DifficultyLevel.
var (
	DifficultyLevel_name = map[int32]string{
		0: "DIFFICULTY_LEVEL_UNSPECIFIED",
		1: "DIFFICULTY_LEVEL_EASY",
		2: "DIFFICULTY_LEVEL_MEDIUM",
		3: "DIFFICULTY_LEVEL_HARD",
	}
	DifficultyLevel_value = map[string]int32{
		"DIFFICULTY_LEVEL_UNSPECIFIED": 0,
		"DIFFICULTY_LEVEL_EASY":        1,
		"DIFFICULTY_LEVEL_MEDIUM":      2,
		"DIFFICULTY_LEVEL_HARD":        3,
	}
)

func (x DifficultyLevel) Enum() *DifficultyLevel {
	p := new(DifficultyLevel)
	*p = x
	return p
}

func (x DifficultyLevel) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DifficultyLevel) Descriptor() protoreflect.EnumDescriptor {
	return file_gateway_events_v1_events_proto_enumTypes[2].Descriptor()
}

func (DifficultyLevel) Type() protoreflect.EnumType {
	return &file_gateway_events_v1_events_proto_enumTypes[2]
}

func (x DifficultyLevel) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DifficultyLevel.Descriptor instead.
func (DifficultyLevel) EnumDescriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{2}
}

type SubscribeEventsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	RoomId        string                 `protobuf:"bytes,1,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubscribeEventsRequest) Reset() {
	*x = SubscribeEventsRequest{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeEventsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeEventsRequest) ProtoMessage() {}

func (x *SubscribeEventsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeEventsRequest.ProtoReflect.Descriptor instead.
func (*SubscribeEventsRequest) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{0}
}

func (x *SubscribeEventsRequest) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

type SubscribeEventsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Event         *Event                 `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SubscribeEventsResponse) Reset() {
	*x = SubscribeEventsResponse{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SubscribeEventsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SubscribeEventsResponse) ProtoMessage() {}

func (x *SubscribeEventsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SubscribeEventsResponse.ProtoReflect.Descriptor instead.
func (*SubscribeEventsResponse) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{1}
}

func (x *SubscribeEventsResponse) GetEvent() *Event {
	if x != nil {
		return x.Event
	}
	return nil
}

// Message representing an event
type Event struct {
	state       protoimpl.MessageState `protogen:"open.v1"`
	EventId     string                 `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	EventTime   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=event_time,json=eventTime,proto3" json:"event_time,omitempty"`
	EventType   EventType              `protobuf:"varint,3,opt,name=event_type,json=eventType,proto3,enum=gateway.events.v1.EventType" json:"event_type,omitempty"`
	RoomId      string                 `protobuf:"bytes,4,opt,name=room_id,json=roomId,proto3" json:"room_id,omitempty"`
	Description *string                `protobuf:"bytes,5,opt,name=description,proto3,oneof" json:"description,omitempty"`
	// Types that are valid to be assigned to Event:
	//
	//	*Event_GenericEvent
	//	*Event_UserEvent
	//	*Event_RoomStartingEvent
	//	*Event_UserJoinedEvent
	//	*Event_GuessEvent
	//	*Event_LeaderboardUpdatedEvent
	Event         isEvent_Event `protobuf_oneof:"event"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Event) Reset() {
	*x = Event{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Event) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Event) ProtoMessage() {}

func (x *Event) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Event.ProtoReflect.Descriptor instead.
func (*Event) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{2}
}

func (x *Event) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *Event) GetEventTime() *timestamppb.Timestamp {
	if x != nil {
		return x.EventTime
	}
	return nil
}

func (x *Event) GetEventType() EventType {
	if x != nil {
		return x.EventType
	}
	return EventType_EVENT_TYPE_UNSPECIFIED
}

func (x *Event) GetRoomId() string {
	if x != nil {
		return x.RoomId
	}
	return ""
}

func (x *Event) GetDescription() string {
	if x != nil && x.Description != nil {
		return *x.Description
	}
	return ""
}

func (x *Event) GetEvent() isEvent_Event {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *Event) GetGenericEvent() *GenericEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_GenericEvent); ok {
			return x.GenericEvent
		}
	}
	return nil
}

func (x *Event) GetUserEvent() *RoomUserEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_UserEvent); ok {
			return x.UserEvent
		}
	}
	return nil
}

func (x *Event) GetRoomStartingEvent() *RoomStartingEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_RoomStartingEvent); ok {
			return x.RoomStartingEvent
		}
	}
	return nil
}

func (x *Event) GetUserJoinedEvent() *UserJoinedEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_UserJoinedEvent); ok {
			return x.UserJoinedEvent
		}
	}
	return nil
}

func (x *Event) GetGuessEvent() *GuessEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_GuessEvent); ok {
			return x.GuessEvent
		}
	}
	return nil
}

func (x *Event) GetLeaderboardUpdatedEvent() *LeaderboardUpdatedEvent {
	if x != nil {
		if x, ok := x.Event.(*Event_LeaderboardUpdatedEvent); ok {
			return x.LeaderboardUpdatedEvent
		}
	}
	return nil
}

type isEvent_Event interface {
	isEvent_Event()
}

type Event_GenericEvent struct {
	GenericEvent *GenericEvent `protobuf:"bytes,10,opt,name=generic_event,json=genericEvent,proto3,oneof"`
}

type Event_UserEvent struct {
	UserEvent *RoomUserEvent `protobuf:"bytes,20,opt,name=user_event,json=userEvent,proto3,oneof"`
}

type Event_RoomStartingEvent struct {
	// Multiple microservices
	RoomStartingEvent *RoomStartingEvent `protobuf:"bytes,30,opt,name=room_starting_event,json=roomStartingEvent,proto3,oneof"`
}

type Event_UserJoinedEvent struct {
	UserJoinedEvent *UserJoinedEvent `protobuf:"bytes,31,opt,name=user_joined_event,json=userJoinedEvent,proto3,oneof"`
}

type Event_GuessEvent struct {
	GuessEvent *GuessEvent `protobuf:"bytes,40,opt,name=guess_event,json=guessEvent,proto3,oneof"`
}

type Event_LeaderboardUpdatedEvent struct {
	LeaderboardUpdatedEvent *LeaderboardUpdatedEvent `protobuf:"bytes,41,opt,name=leaderboard_updated_event,json=leaderboardUpdatedEvent,proto3,oneof"`
}

func (*Event_GenericEvent) isEvent_Event() {}

func (*Event_UserEvent) isEvent_Event() {}

func (*Event_RoomStartingEvent) isEvent_Event() {}

func (*Event_UserJoinedEvent) isEvent_Event() {}

func (*Event_GuessEvent) isEvent_Event() {}

func (*Event_LeaderboardUpdatedEvent) isEvent_Event() {}

// Used when no data is present at the event
type GenericEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GenericEvent) Reset() {
	*x = GenericEvent{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GenericEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenericEvent) ProtoMessage() {}

func (x *GenericEvent) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenericEvent.ProtoReflect.Descriptor instead.
func (*GenericEvent) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{3}
}

type RoomUserEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	UserId        string                 `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RoomUserEvent) Reset() {
	*x = RoomUserEvent{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RoomUserEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RoomUserEvent) ProtoMessage() {}

func (x *RoomUserEvent) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RoomUserEvent.ProtoReflect.Descriptor instead.
func (*RoomUserEvent) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{4}
}

func (x *RoomUserEvent) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type UserJoinedEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	UserId        string                 `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Nickname      string                 `protobuf:"bytes,2,opt,name=nickname,proto3" json:"nickname,omitempty"`
	Emoji         string                 `protobuf:"bytes,3,opt,name=emoji,proto3" json:"emoji,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *UserJoinedEvent) Reset() {
	*x = UserJoinedEvent{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *UserJoinedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserJoinedEvent) ProtoMessage() {}

func (x *UserJoinedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserJoinedEvent.ProtoReflect.Descriptor instead.
func (*UserJoinedEvent) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{5}
}

func (x *UserJoinedEvent) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *UserJoinedEvent) GetNickname() string {
	if x != nil {
		return x.Nickname
	}
	return ""
}

func (x *UserJoinedEvent) GetEmoji() string {
	if x != nil {
		return x.Emoji
	}
	return ""
}

type Question struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Type          QuestionType           `protobuf:"varint,2,opt,name=type,proto3,enum=gateway.events.v1.QuestionType" json:"type,omitempty"`
	Query         string                 `protobuf:"bytes,3,opt,name=query,proto3" json:"query,omitempty"`
	Answer        string                 `protobuf:"bytes,4,opt,name=answer,proto3" json:"answer,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Question) Reset() {
	*x = Question{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Question) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Question) ProtoMessage() {}

func (x *Question) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Question.ProtoReflect.Descriptor instead.
func (*Question) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{6}
}

func (x *Question) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Question) GetType() QuestionType {
	if x != nil {
		return x.Type
	}
	return QuestionType_QUESTION_TYPE_UNSPECIFIED
}

func (x *Question) GetQuery() string {
	if x != nil {
		return x.Query
	}
	return ""
}

func (x *Question) GetAnswer() string {
	if x != nil {
		return x.Answer
	}
	return ""
}

type QuestionSet struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Level         DifficultyLevel        `protobuf:"varint,2,opt,name=level,proto3,enum=gateway.events.v1.DifficultyLevel" json:"level,omitempty"`
	Questions     []*Question            `protobuf:"bytes,3,rep,name=questions,proto3" json:"questions,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *QuestionSet) Reset() {
	*x = QuestionSet{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *QuestionSet) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestionSet) ProtoMessage() {}

func (x *QuestionSet) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestionSet.ProtoReflect.Descriptor instead.
func (*QuestionSet) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{7}
}

func (x *QuestionSet) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *QuestionSet) GetLevel() DifficultyLevel {
	if x != nil {
		return x.Level
	}
	return DifficultyLevel_DIFFICULTY_LEVEL_UNSPECIFIED
}

func (x *QuestionSet) GetQuestions() []*Question {
	if x != nil {
		return x.Questions
	}
	return nil
}

type RoomStartingEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Questions     *QuestionSet           `protobuf:"bytes,1,opt,name=questions,proto3" json:"questions,omitempty"`
	StartsIn      *durationpb.Duration   `protobuf:"bytes,2,opt,name=starts_in,json=startsIn,proto3" json:"starts_in,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *RoomStartingEvent) Reset() {
	*x = RoomStartingEvent{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RoomStartingEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RoomStartingEvent) ProtoMessage() {}

func (x *RoomStartingEvent) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RoomStartingEvent.ProtoReflect.Descriptor instead.
func (*RoomStartingEvent) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{8}
}

func (x *RoomStartingEvent) GetQuestions() *QuestionSet {
	if x != nil {
		return x.Questions
	}
	return nil
}

func (x *RoomStartingEvent) GetStartsIn() *durationpb.Duration {
	if x != nil {
		return x.StartsIn
	}
	return nil
}

type GuessEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	UserId        string                 `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	QuestionId    string                 `protobuf:"bytes,2,opt,name=question_id,json=questionId,proto3" json:"question_id,omitempty"`
	Correct       bool                   `protobuf:"varint,3,opt,name=correct,proto3" json:"correct,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GuessEvent) Reset() {
	*x = GuessEvent{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GuessEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GuessEvent) ProtoMessage() {}

func (x *GuessEvent) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GuessEvent.ProtoReflect.Descriptor instead.
func (*GuessEvent) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{9}
}

func (x *GuessEvent) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *GuessEvent) GetQuestionId() string {
	if x != nil {
		return x.QuestionId
	}
	return ""
}

func (x *GuessEvent) GetCorrect() bool {
	if x != nil {
		return x.Correct
	}
	return false
}

type LeaderboardUpdatedEvent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Data          *LeaderboardData       `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LeaderboardUpdatedEvent) Reset() {
	*x = LeaderboardUpdatedEvent{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LeaderboardUpdatedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LeaderboardUpdatedEvent) ProtoMessage() {}

func (x *LeaderboardUpdatedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LeaderboardUpdatedEvent.ProtoReflect.Descriptor instead.
func (*LeaderboardUpdatedEvent) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{10}
}

func (x *LeaderboardUpdatedEvent) GetData() *LeaderboardData {
	if x != nil {
		return x.Data
	}
	return nil
}

type LeaderboardData struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Ranks         []*RankElement         `protobuf:"bytes,1,rep,name=ranks,proto3" json:"ranks,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *LeaderboardData) Reset() {
	*x = LeaderboardData{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *LeaderboardData) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LeaderboardData) ProtoMessage() {}

func (x *LeaderboardData) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LeaderboardData.ProtoReflect.Descriptor instead.
func (*LeaderboardData) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{11}
}

func (x *LeaderboardData) GetRanks() []*RankElement {
	if x != nil {
		return x.Ranks
	}
	return nil
}

type RankElement struct {
	state              protoimpl.MessageState `protogen:"open.v1"`
	UserId             string                 `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Score              float32                `protobuf:"fixed32,2,opt,name=score,proto3" json:"score,omitempty"`
	ComboMultiplierIdx uint32                 `protobuf:"varint,3,opt,name=combo_multiplier_idx,json=comboMultiplierIdx,proto3" json:"combo_multiplier_idx,omitempty"`
	ComboMultiplier    float32                `protobuf:"fixed32,4,opt,name=combo_multiplier,json=comboMultiplier,proto3" json:"combo_multiplier,omitempty"`
	unknownFields      protoimpl.UnknownFields
	sizeCache          protoimpl.SizeCache
}

func (x *RankElement) Reset() {
	*x = RankElement{}
	mi := &file_gateway_events_v1_events_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *RankElement) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RankElement) ProtoMessage() {}

func (x *RankElement) ProtoReflect() protoreflect.Message {
	mi := &file_gateway_events_v1_events_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RankElement.ProtoReflect.Descriptor instead.
func (*RankElement) Descriptor() ([]byte, []int) {
	return file_gateway_events_v1_events_proto_rawDescGZIP(), []int{12}
}

func (x *RankElement) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *RankElement) GetScore() float32 {
	if x != nil {
		return x.Score
	}
	return 0
}

func (x *RankElement) GetComboMultiplierIdx() uint32 {
	if x != nil {
		return x.ComboMultiplierIdx
	}
	return 0
}

func (x *RankElement) GetComboMultiplier() float32 {
	if x != nil {
		return x.ComboMultiplier
	}
	return 0
}

var File_gateway_events_v1_events_proto protoreflect.FileDescriptor

var file_gateway_events_v1_events_proto_rawDesc = []byte{
	0x0a, 0x1e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x2f, 0x76, 0x31, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x11, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x2e, 0x76, 0x31, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0x31, 0x0a, 0x16, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62,
	0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17,
	0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x22, 0x49, 0x0a, 0x17, 0x53, 0x75, 0x62, 0x73, 0x63,
	0x72, 0x69, 0x62, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x2e, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x18, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x05, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x22, 0xd4, 0x05, 0x0a, 0x05, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x19, 0x0a, 0x08,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x39, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x69,
	0x6d, 0x65, 0x12, 0x3b, 0x0a, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1c, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x17, 0x0a, 0x07, 0x72, 0x6f, 0x6f, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x72, 0x6f, 0x6f, 0x6d, 0x49, 0x64, 0x12, 0x25, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01, 0x12,
	0x46, 0x0a, 0x0d, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x69, 0x63, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72,
	0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0c, 0x67, 0x65, 0x6e, 0x65, 0x72,
	0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x41, 0x0a, 0x0a, 0x75, 0x73, 0x65, 0x72, 0x5f,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x14, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x67, 0x61,
	0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x52, 0x6f, 0x6f, 0x6d, 0x55, 0x73, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52,
	0x09, 0x75, 0x73, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x56, 0x0a, 0x13, 0x72, 0x6f,
	0x6f, 0x6d, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x5f, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x18, 0x1e, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61,
	0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x6f, 0x6f, 0x6d,
	0x53, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52,
	0x11, 0x72, 0x6f, 0x6f, 0x6d, 0x53, 0x74, 0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x12, 0x50, 0x0a, 0x11, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x6a, 0x6f, 0x69, 0x6e, 0x65,
	0x64, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x1f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e,
	0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x4a, 0x6f, 0x69, 0x6e, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x48, 0x00, 0x52, 0x0f, 0x75, 0x73, 0x65, 0x72, 0x4a, 0x6f, 0x69, 0x6e, 0x65, 0x64, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x12, 0x40, 0x0a, 0x0b, 0x67, 0x75, 0x65, 0x73, 0x73, 0x5f, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x18, 0x28, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x67, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x75,
	0x65, 0x73, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0a, 0x67, 0x75, 0x65, 0x73,
	0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x68, 0x0a, 0x19, 0x6c, 0x65, 0x61, 0x64, 0x65, 0x72,
	0x62, 0x6f, 0x61, 0x72, 0x64, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x18, 0x29, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x67, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x4c, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x17, 0x6c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62,
	0x6f, 0x61, 0x72, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x42, 0x07, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x0e, 0x0a, 0x0c, 0x5f, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x0e, 0x0a, 0x0c, 0x47, 0x65, 0x6e,
	0x65, 0x72, 0x69, 0x63, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x22, 0x28, 0x0a, 0x0d, 0x52, 0x6f, 0x6f,
	0x6d, 0x55, 0x73, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73,
	0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65,
	0x72, 0x49, 0x64, 0x22, 0x5c, 0x0a, 0x0f, 0x55, 0x73, 0x65, 0x72, 0x4a, 0x6f, 0x69, 0x6e, 0x65,
	0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12,
	0x1a, 0x0a, 0x08, 0x6e, 0x69, 0x63, 0x6b, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x6e, 0x69, 0x63, 0x6b, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65,
	0x6d, 0x6f, 0x6a, 0x69, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x6f, 0x6a,
	0x69, 0x22, 0x7d, 0x0a, 0x08, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x33, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x67, 0x61,
	0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6e, 0x73, 0x77,
	0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x61, 0x6e, 0x73, 0x77, 0x65, 0x72,
	0x22, 0x92, 0x01, 0x0a, 0x0b, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x38, 0x0a, 0x05, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32,
	0x22, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x44, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x4c, 0x65,
	0x76, 0x65, 0x6c, 0x52, 0x05, 0x6c, 0x65, 0x76, 0x65, 0x6c, 0x12, 0x39, 0x0a, 0x09, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e,
	0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x09, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x89, 0x01, 0x0a, 0x11, 0x52, 0x6f, 0x6f, 0x6d, 0x53, 0x74,
	0x61, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x3c, 0x0a, 0x09, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e,
	0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x52, 0x09,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x36, 0x0a, 0x09, 0x73, 0x74, 0x61,
	0x72, 0x74, 0x73, 0x5f, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44,
	0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x73, 0x74, 0x61, 0x72, 0x74, 0x73, 0x49,
	0x6e, 0x22, 0x60, 0x0a, 0x0a, 0x47, 0x75, 0x65, 0x73, 0x73, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12,
	0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x72,
	0x72, 0x65, 0x63, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x63, 0x6f, 0x72, 0x72,
	0x65, 0x63, 0x74, 0x22, 0x51, 0x0a, 0x17, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61,
	0x72, 0x64, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x36,
	0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x67,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72, 0x62, 0x6f, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x61,
	0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x47, 0x0a, 0x0f, 0x4c, 0x65, 0x61, 0x64, 0x65, 0x72,
	0x62, 0x6f, 0x61, 0x72, 0x64, 0x44, 0x61, 0x74, 0x61, 0x12, 0x34, 0x0a, 0x05, 0x72, 0x61, 0x6e,
	0x6b, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77,
	0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x61, 0x6e,
	0x6b, 0x45, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x05, 0x72, 0x61, 0x6e, 0x6b, 0x73, 0x22,
	0x99, 0x01, 0x0a, 0x0b, 0x52, 0x61, 0x6e, 0x6b, 0x45, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12,
	0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x63, 0x6f, 0x72,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02, 0x52, 0x05, 0x73, 0x63, 0x6f, 0x72, 0x65, 0x12, 0x30,
	0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x62, 0x6f, 0x5f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x70, 0x6c, 0x69,
	0x65, 0x72, 0x5f, 0x69, 0x64, 0x78, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x12, 0x63, 0x6f,
	0x6d, 0x62, 0x6f, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x49, 0x64, 0x78,
	0x12, 0x29, 0x0a, 0x10, 0x63, 0x6f, 0x6d, 0x62, 0x6f, 0x5f, 0x6d, 0x75, 0x6c, 0x74, 0x69, 0x70,
	0x6c, 0x69, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0f, 0x63, 0x6f, 0x6d, 0x62,
	0x6f, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x70, 0x6c, 0x69, 0x65, 0x72, 0x2a, 0x97, 0x03, 0x0a, 0x09,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1a, 0x0a, 0x16, 0x45, 0x56, 0x45,
	0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46,
	0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1c, 0x0a, 0x18, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x53, 0x54, 0x41, 0x52, 0x54, 0x49, 0x4e,
	0x47, 0x10, 0x01, 0x12, 0x1b, 0x0a, 0x17, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x50, 0x4c, 0x41, 0x59, 0x49, 0x4e, 0x47, 0x10, 0x02,
	0x12, 0x1a, 0x0a, 0x16, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52,
	0x4f, 0x4f, 0x4d, 0x5f, 0x45, 0x4e, 0x44, 0x49, 0x4e, 0x47, 0x10, 0x03, 0x12, 0x1f, 0x0a, 0x1b,
	0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f,
	0x55, 0x53, 0x45, 0x52, 0x5f, 0x4a, 0x4f, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x04, 0x12, 0x1d, 0x0a,
	0x19, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d,
	0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x4c, 0x45, 0x46, 0x54, 0x10, 0x05, 0x12, 0x1f, 0x0a, 0x1b,
	0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f,
	0x55, 0x53, 0x45, 0x52, 0x5f, 0x42, 0x41, 0x4e, 0x4e, 0x45, 0x44, 0x10, 0x06, 0x12, 0x21, 0x0a,
	0x1d, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d,
	0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x55, 0x4e, 0x42, 0x41, 0x4e, 0x4e, 0x45, 0x44, 0x10, 0x07,
	0x12, 0x25, 0x0a, 0x21, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52,
	0x4f, 0x4f, 0x4d, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f, 0x48, 0x4f, 0x53, 0x54, 0x5f, 0x43, 0x48,
	0x41, 0x4e, 0x47, 0x45, 0x44, 0x10, 0x08, 0x12, 0x28, 0x0a, 0x24, 0x45, 0x56, 0x45, 0x4e, 0x54,
	0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x4f, 0x4f, 0x4d, 0x5f, 0x55, 0x53, 0x45, 0x52, 0x5f,
	0x4c, 0x4f, 0x53, 0x54, 0x5f, 0x43, 0x4f, 0x4e, 0x4e, 0x45, 0x43, 0x54, 0x49, 0x4f, 0x4e, 0x10,
	0x09, 0x12, 0x1e, 0x0a, 0x1a, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x47, 0x55, 0x45, 0x53, 0x53, 0x5f, 0x53, 0x55, 0x42, 0x4d, 0x49, 0x54, 0x54, 0x45, 0x44, 0x10,
	0x14, 0x12, 0x22, 0x0a, 0x1e, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x4c, 0x45, 0x41, 0x44, 0x45, 0x52, 0x42, 0x4f, 0x41, 0x52, 0x44, 0x5f, 0x55, 0x50, 0x44, 0x41,
	0x54, 0x45, 0x44, 0x10, 0x15, 0x2a, 0x77, 0x0a, 0x0c, 0x51, 0x75, 0x65, 0x73, 0x74, 0x69, 0x6f,
	0x6e, 0x54, 0x79, 0x70, 0x65, 0x12, 0x1d, 0x0a, 0x19, 0x51, 0x55, 0x45, 0x53, 0x54, 0x49, 0x4f,
	0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x23, 0x0a, 0x1f, 0x51, 0x55, 0x45, 0x53, 0x54, 0x49, 0x4f, 0x4e,
	0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x42, 0x49, 0x4e, 0x41, 0x52, 0x59, 0x5f, 0x54, 0x4f, 0x5f,
	0x44, 0x45, 0x43, 0x49, 0x4d, 0x41, 0x4c, 0x10, 0x01, 0x12, 0x23, 0x0a, 0x1f, 0x51, 0x55, 0x45,
	0x53, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x44, 0x45, 0x43, 0x49, 0x4d,
	0x41, 0x4c, 0x5f, 0x54, 0x4f, 0x5f, 0x42, 0x49, 0x4e, 0x41, 0x52, 0x59, 0x10, 0x02, 0x2a, 0x86,
	0x01, 0x0a, 0x0f, 0x44, 0x69, 0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x4c, 0x65, 0x76,
	0x65, 0x6c, 0x12, 0x20, 0x0a, 0x1c, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59,
	0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x19, 0x0a, 0x15, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c,
	0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c, 0x5f, 0x45, 0x41, 0x53, 0x59, 0x10, 0x01, 0x12,
	0x1b, 0x0a, 0x17, 0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45,
	0x56, 0x45, 0x4c, 0x5f, 0x4d, 0x45, 0x44, 0x49, 0x55, 0x4d, 0x10, 0x02, 0x12, 0x19, 0x0a, 0x15,
	0x44, 0x49, 0x46, 0x46, 0x49, 0x43, 0x55, 0x4c, 0x54, 0x59, 0x5f, 0x4c, 0x45, 0x56, 0x45, 0x4c,
	0x5f, 0x48, 0x41, 0x52, 0x44, 0x10, 0x03, 0x32, 0x7d, 0x0a, 0x0d, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x6c, 0x0a, 0x0f, 0x53, 0x75, 0x62, 0x73,
	0x63, 0x72, 0x69, 0x62, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x29, 0x2e, 0x67, 0x61,
	0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63,
	0x72, 0x69, 0x62, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x30, 0x01, 0x42, 0xda, 0x01, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x67,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31,
	0x42, 0x0b, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a,
	0x4e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x62, 0x69, 0x6e, 0x61,
	0x72, 0x79, 0x67, 0x61, 0x6d, 0x65, 0x2f, 0x6d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x73, 0x2f, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f, 0x70, 0x6b, 0x67,
	0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x73, 0x2f, 0x76, 0x31, 0x3b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x76, 0x31, 0xa2,
	0x02, 0x03, 0x47, 0x45, 0x58, 0xaa, 0x02, 0x11, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x56, 0x31, 0xca, 0x02, 0x11, 0x47, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x5c, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x5c, 0x56, 0x31, 0xe2, 0x02, 0x1d,
	0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x5c, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x5c, 0x56,
	0x31, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x13,
	0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x3a, 0x3a, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x3a,
	0x3a, 0x56, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_gateway_events_v1_events_proto_rawDescOnce sync.Once
	file_gateway_events_v1_events_proto_rawDescData = file_gateway_events_v1_events_proto_rawDesc
)

func file_gateway_events_v1_events_proto_rawDescGZIP() []byte {
	file_gateway_events_v1_events_proto_rawDescOnce.Do(func() {
		file_gateway_events_v1_events_proto_rawDescData = protoimpl.X.CompressGZIP(file_gateway_events_v1_events_proto_rawDescData)
	})
	return file_gateway_events_v1_events_proto_rawDescData
}

var file_gateway_events_v1_events_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_gateway_events_v1_events_proto_msgTypes = make([]protoimpl.MessageInfo, 13)
var file_gateway_events_v1_events_proto_goTypes = []any{
	(EventType)(0),                  // 0: gateway.events.v1.EventType
	(QuestionType)(0),               // 1: gateway.events.v1.QuestionType
	(DifficultyLevel)(0),            // 2: gateway.events.v1.DifficultyLevel
	(*SubscribeEventsRequest)(nil),  // 3: gateway.events.v1.SubscribeEventsRequest
	(*SubscribeEventsResponse)(nil), // 4: gateway.events.v1.SubscribeEventsResponse
	(*Event)(nil),                   // 5: gateway.events.v1.Event
	(*GenericEvent)(nil),            // 6: gateway.events.v1.GenericEvent
	(*RoomUserEvent)(nil),           // 7: gateway.events.v1.RoomUserEvent
	(*UserJoinedEvent)(nil),         // 8: gateway.events.v1.UserJoinedEvent
	(*Question)(nil),                // 9: gateway.events.v1.Question
	(*QuestionSet)(nil),             // 10: gateway.events.v1.QuestionSet
	(*RoomStartingEvent)(nil),       // 11: gateway.events.v1.RoomStartingEvent
	(*GuessEvent)(nil),              // 12: gateway.events.v1.GuessEvent
	(*LeaderboardUpdatedEvent)(nil), // 13: gateway.events.v1.LeaderboardUpdatedEvent
	(*LeaderboardData)(nil),         // 14: gateway.events.v1.LeaderboardData
	(*RankElement)(nil),             // 15: gateway.events.v1.RankElement
	(*timestamppb.Timestamp)(nil),   // 16: google.protobuf.Timestamp
	(*durationpb.Duration)(nil),     // 17: google.protobuf.Duration
}
var file_gateway_events_v1_events_proto_depIdxs = []int32{
	5,  // 0: gateway.events.v1.SubscribeEventsResponse.event:type_name -> gateway.events.v1.Event
	16, // 1: gateway.events.v1.Event.event_time:type_name -> google.protobuf.Timestamp
	0,  // 2: gateway.events.v1.Event.event_type:type_name -> gateway.events.v1.EventType
	6,  // 3: gateway.events.v1.Event.generic_event:type_name -> gateway.events.v1.GenericEvent
	7,  // 4: gateway.events.v1.Event.user_event:type_name -> gateway.events.v1.RoomUserEvent
	11, // 5: gateway.events.v1.Event.room_starting_event:type_name -> gateway.events.v1.RoomStartingEvent
	8,  // 6: gateway.events.v1.Event.user_joined_event:type_name -> gateway.events.v1.UserJoinedEvent
	12, // 7: gateway.events.v1.Event.guess_event:type_name -> gateway.events.v1.GuessEvent
	13, // 8: gateway.events.v1.Event.leaderboard_updated_event:type_name -> gateway.events.v1.LeaderboardUpdatedEvent
	1,  // 9: gateway.events.v1.Question.type:type_name -> gateway.events.v1.QuestionType
	2,  // 10: gateway.events.v1.QuestionSet.level:type_name -> gateway.events.v1.DifficultyLevel
	9,  // 11: gateway.events.v1.QuestionSet.questions:type_name -> gateway.events.v1.Question
	10, // 12: gateway.events.v1.RoomStartingEvent.questions:type_name -> gateway.events.v1.QuestionSet
	17, // 13: gateway.events.v1.RoomStartingEvent.starts_in:type_name -> google.protobuf.Duration
	14, // 14: gateway.events.v1.LeaderboardUpdatedEvent.data:type_name -> gateway.events.v1.LeaderboardData
	15, // 15: gateway.events.v1.LeaderboardData.ranks:type_name -> gateway.events.v1.RankElement
	3,  // 16: gateway.events.v1.EventsService.SubscribeEvents:input_type -> gateway.events.v1.SubscribeEventsRequest
	4,  // 17: gateway.events.v1.EventsService.SubscribeEvents:output_type -> gateway.events.v1.SubscribeEventsResponse
	17, // [17:18] is the sub-list for method output_type
	16, // [16:17] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_gateway_events_v1_events_proto_init() }
func file_gateway_events_v1_events_proto_init() {
	if File_gateway_events_v1_events_proto != nil {
		return
	}
	file_gateway_events_v1_events_proto_msgTypes[2].OneofWrappers = []any{
		(*Event_GenericEvent)(nil),
		(*Event_UserEvent)(nil),
		(*Event_RoomStartingEvent)(nil),
		(*Event_UserJoinedEvent)(nil),
		(*Event_GuessEvent)(nil),
		(*Event_LeaderboardUpdatedEvent)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_gateway_events_v1_events_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   13,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_gateway_events_v1_events_proto_goTypes,
		DependencyIndexes: file_gateway_events_v1_events_proto_depIdxs,
		EnumInfos:         file_gateway_events_v1_events_proto_enumTypes,
		MessageInfos:      file_gateway_events_v1_events_proto_msgTypes,
	}.Build()
	File_gateway_events_v1_events_proto = out.File
	file_gateway_events_v1_events_proto_rawDesc = nil
	file_gateway_events_v1_events_proto_goTypes = nil
	file_gateway_events_v1_events_proto_depIdxs = nil
}
